package me.demon.DemonBank;

import me.clip.placeholderapi.expansion.PlaceholderExpansion;
import org.bukkit.entity.Player;
import org.bukkit.plugin.Plugin;

public class Placeholders extends PlaceholderExpansion {

    private Plugin plugin;
    public Placeholders(Plugin plugin) {
        this.plugin = plugin;
    }
    @Override
    public boolean persist() {
        return true;
    }

    @Override
    public boolean canRegister() {
        return true;
    }

    @Override
    public String getAuthor() {
        return plugin.getDescription().getAuthors().toString();
    }

    @Override
    public String getIdentifier() {
        return "bank";
    }

    @Override
    public String getVersion() {
        return plugin.getDescription().getVersion();
    }

    public String onPlaceholderRequest(Player p, String indentifier) {
        if (p == null) { return ""; }
        if (indentifier.equalsIgnoreCase("money")) {
            return String.valueOf(BankAPI.getMoney(p.getName()));
        }
        if (indentifier.equalsIgnoreCase("points")) {
            return String.valueOf(BankAPI.getPoints(p.getName()));
        }
        return "";
    }


}
