package me.demon.DemonBank.command;

import me.Demon.DemonPlugin.DemonAPI;
import me.demon.DemonBank.BankAPI;
import me.demon.DemonBank.Main;
import org.bukkit.Sound;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class BankCommand implements CommandExecutor {

    public boolean onCommand(CommandSender sender, Command cmd, String CommandLabel, String[] args) {
        if (CommandLabel.equalsIgnoreCase("bank")) {
            String prefix = Main.prefix;
            if(args.length == 0){
                if(sender instanceof Player) {
                    Player p = (Player) sender;
                    JieSuanBank(p);
                }else{
                    sender.sendMessage("");
                    sender.sendMessage("§e------- ======= §6魂式银行 §e======= -------");
                    sender.sendMessage("§2/bank reset §e[玩家名] §f- §2清理玩家余额");
                    sender.sendMessage("§e------- ======= §6魂式银行 §e======= -------");
                    sender.sendMessage("§2作者QQ: §e1763917516");
                }
            }
            // bank [name] amount
            if(args.length == 2 && sender.isOp()){
                Player player = (Player) sender;
                int money = Integer.parseInt(args[0]);
                BankAPI.addVault(player,money);
                sender.sendMessage(Main.prefix+" "+player.getName()+" += "+money);
            }
            if(args.length == 2 && sender.isOp()){
                if(args[0].equalsIgnoreCase("text")){
                    BankAPI.setMoney(sender.getName(), Integer.parseInt(args[1]));
                    BankAPI.setPoints(sender.getName(), Integer.parseInt(args[1]));
                    sender.sendMessage(prefix+"成功设置玩家银行数据.");
                }
                if(args[0].equalsIgnoreCase("reset")){
                    String playName = args[1];
                    BankAPI.setMoney(playName,0);
                    BankAPI.setPoints(playName,0);
                    sender.sendMessage(prefix+"成功重置玩家银行账户数据.");
                }
            }
        }
        return true;
    }

    public void JieSuanBank(Player p){
        int money = BankAPI.getMoney(p.getName());
        int points = BankAPI.getPoints(p.getName());
        int moneyUUID = BankAPI.getMoneyUUID(String.valueOf(p.getUniqueId()));
        if(money == 0 && points == 0 && moneyUUID == 0){
            p.sendMessage(Main.prefix+"暂无任何银行收益,无法进行结算！");
            return;
        }
        if(money != 0){
            DemonAPI.giveMoney(p,money);
            BankAPI.setMoney(p.getName(),0);
            p.sendMessage(Main.prefix + "已为你自动结算银行收益: §6" + money + "金币");
        }
        if(points != 0){
            DemonAPI.givePoints(p,points);
            BankAPI.setPoints(p.getName(),0);
            p.sendMessage(Main.prefix + "已为你自动结算银行收益: §d" + points + "点券");
        }
        if(moneyUUID >= 1){
            DemonAPI.giveMoney(p,moneyUUID);
            BankAPI.setMoneyUUID(String.valueOf(p.getUniqueId()),0);
            p.sendMessage(Main.prefix + "已为你自动结算商店收益: §6" + moneyUUID + "金币");
        }
        Main.plugin.saveConfig();
        p.playSound(p.getLocation(), Sound.ENTITY_EXPERIENCE_ORB_PICKUP,1,2);
    }
}
