package me.demon.DemonBank.listener;

import me.Demon.DemonPlugin.DemonAPI;
import me.demon.DemonBank.Main;
import me.demon.DemonBank.BankAPI;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

public class JoinEvent implements Listener {

    @EventHandler
    public void onjoin(PlayerJoinEvent e) {
        Player p = e.getPlayer();
        Bukkit.getScheduler().runTaskLater(Main.plugin, new Runnable() {
            @Override
            public void run() {
                int money = BankAPI.getMoney(p.getName());
                int points = BankAPI.getPoints(p.getName());
                int moneyUUID = BankAPI.getMoneyUUID(String.valueOf(p.getUniqueId()));
                if (money == 0 && points == 0 && moneyUUID == 0) {
                    return;
                }
                if (money != 0) {
                    DemonAPI.giveMoney(p, money);
                    BankAPI.setMoney(p.getName(), 0);
                    p.sendMessage(Main.prefix + "已为你自动结算银行收益: §6" + money + "金币");
                }
                if (points != 0) {
                    DemonAPI.givePoints(p, points);
                    BankAPI.setPoints(p.getName(), 0);
                    p.sendMessage(Main.prefix + "已为你自动结算银行收益: §d" + points + "点券");
                }
                if (moneyUUID != 0) {
                    DemonAPI.giveMoney(p, moneyUUID);
                    BankAPI.setMoneyUUID(String.valueOf(p.getUniqueId()), 0);
                    p.sendMessage(Main.prefix + "已为你自动结算商店收益: §6" + moneyUUID + "金币");
                }
            }
        }, 40L);
    }

}
